Tests an inline rule definition against an inline bill object
Use this endpoint when neither the rule nor the bill exist in the system yet.
Provide both the rule definition and bill data inline. The test is read-only.
Request Headers
| Header | Value | Required | Description |
|---|---|---|---|
| ECI-ApiKey | string | Yes | Your API key. See Authentication. |
| Content-Type | application/json | Yes | All requests must specify JSON content type, including the request body. |
Request Body
TestBillImportRuleWithBillDescriptorV202604
| Property | Description | Type | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
| billDescriptor | BillDescriptorJson | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
BillDescriptorJson properties
|
||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| ruleDefinition | The JavaScript definition of the rule being tested Required | string | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
Example Request Body
{ "billDescriptor": { "confidence": { "confidenceScore": 1.0, "lowConfidenceReason": "string"
}, "controlCode": "string", "header": { "accountIdentifiers": [], "accountLevelCharges": [], "accountNumber": "string", "billEnd": "2026-06-27", "billStart": "2026-06-27", "currencyCode": "string", "currentCharges": 1.0, "customerAddress": "string", "daysOfService": 1, "deliveryDate": "2026-06-27", "deposit": 1.0, "dueDate": "2026-06-27", "estimated": false, "invoiceDate": "2026-06-27", "invoiceNumber": "string", "lateFee": 1.0, "mailingDate": "2026-06-27", "paymentReceived": 1.0, "priorBalance": 1.0, "rateSchedule": [], "refund": 1.0, "remitAddress": "string", "servicePeriodMonth": "string", "sourceLanguage": "string", "totalCost": 1.0, "vendorAddress": "string", "vendorEmail": "string", "vendorName": "string", "vendorPhoneNumber": "string", "vendorRole": "string", "vendorWebsite": "string"
}, "meters": [
{ "commodity": "string", "identifiers": [], "lines": [], "meterAddress": "string", "rateSchedule": [], "serialNumber": "string"
}
], "processingErrors": [
{ "errorMessage": "string", "errorReason": "string"
}
]
}, "ruleDefinition": "string"
}
Responses
200
OK
The request succeeded and the response body contains the requested data.
Response Body Parameters
TestBillImportRuleResponseV202604
| Property | Description | Type | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
| errorMetadata | If EnergyCap.DTO.V202604.BillImportRule.TestBillImportRuleResponseDTO.Success is false - contains other relevant error information. This object structure should be treated as dynamic - its shape may change depending on the error. | object | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| errorReason | If EnergyCap.DTO.V202604.BillImportRule.TestBillImportRuleResponseDTO.Success is false - contains a message explaining the error that was encountered | string | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| result | BillDescriptorJson | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
BillDescriptorJson properties
|
||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| success | If false, the rule encountered an error. See EnergyCap.DTO.V202604.BillImportRule.TestBillImportRuleResponseDTO.ErrorReason and EnergyCap.DTO.V202604.BillImportRule.TestBillImportRuleResponseDTO.ErrorMetadata for detailed error information. | boolean | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
Example Response
{ "errorMetadata": {}, "errorReason": "string", "result": { "confidence": { "confidenceScore": 1.0, "lowConfidenceReason": "string"
}, "controlCode": "string", "header": { "accountIdentifiers": [], "accountLevelCharges": [], "accountNumber": "string", "billEnd": "2026-06-27", "billStart": "2026-06-27", "currencyCode": "string", "currentCharges": 1.0, "customerAddress": "string", "daysOfService": 1, "deliveryDate": "2026-06-27", "deposit": 1.0, "dueDate": "2026-06-27", "estimated": false, "invoiceDate": "2026-06-27", "invoiceNumber": "string", "lateFee": 1.0, "mailingDate": "2026-06-27", "paymentReceived": 1.0, "priorBalance": 1.0, "rateSchedule": [], "refund": 1.0, "remitAddress": "string", "servicePeriodMonth": "string", "sourceLanguage": "string", "totalCost": 1.0, "vendorAddress": "string", "vendorEmail": "string", "vendorName": "string", "vendorPhoneNumber": "string", "vendorRole": "string", "vendorWebsite": "string"
}, "meters": [
{ "commodity": "string", "identifiers": [], "lines": [], "meterAddress": "string", "rateSchedule": [], "serialNumber": "string"
}
], "processingErrors": [
{ "errorMessage": "string", "errorReason": "string"
}
]
}, "success": false
}